<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>

<div id="pcoded" (window:resize)="onResize($event)" class="pcoded iscollapsed" theme-layout="vertical" vertical-placement="left"
  vertical-layout="wide" [attr.pcoded-device-type]="deviceType" [attr.vertical-nav-type]="verticalNavType" [attr.vertical-effect]="verticalEffect"
  vnavigation-view="view1">
  <div class="pcoded-overlay-box"></div>
  <div class="pcoded-container navbar-wrapper">
    <nav class="navbar header-navbar pcoded-header" header-theme="theme1" pcoded-header-position="fixed">
      <div class="navbar-wrapper">
        <div class="navbar-logo" navbar-theme="theme5">
          <a class="mobile-menu" id="mobile-collapse" href="javascript:;" [exclude]="'#main_navbar'" (clickOutside)="onClickedOutside($event)">
            <i class="ti-menu"></i>
          </a>
          <a [routerLink]="['/login-student']" style="margin-left:20px">
            <img class="img-fluid" src="assets/images/logo4.png" alt="Theme-Logo" />
          </a>
          <a (click)="onMobileMenu()" class="mobile-options">
            <i class="ti-more"></i>
          </a>
        </div>
        <div class="navbar-container">
          <div>
            <ul [@mobileMenuTop]="isCollapsedMobile" class="nav-right" [ngClass]="isCollapsedMobile" style="margin-right: 20px">
              <li class="header-notification lng-dropdown" style="color: white">{{'general.choose_language' | translate}}
                <a href="javascript:;" id="dropdown-active-item">
                  <i class="fa fa-language"></i>
                  <span>{{ActiveLang}}</span>
                  <i class="ti-angle-down"></i>
                </a>
                <ul class="show-notification" style="height: 300px; overflow-x: scroll">
                  <li *ngFor="let lang of translate.getLangs()" [class.selected]="lang === translate.currentLang">
                    <a href="javascript:;" data-lng="id" (click)="setLanguage(lang.KeyValue);getKeyLang(lang.Key)">
                      {{lang.KeyValue}}
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </nav>

    <section class="login p-fixed d-flex text-center bg-primary common-img-bg2">
      <div class="auth-fluid">
        <div class="row">
          <div class="col-md-6">
            <div class="login-card card-body auth-body col-sm-6" style="margin: 0 auto;">
              <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()">
                <div class="text-center">
                  <img src="assets/images/auth/logo2.png" alt="logo2.png">
                </div>
                <div class="auth-box margin-box-autodesk">
                  <div class="row ">
                    <div class="col-md-12">
                      <h3 class="text-left txt-primary">{{'login_register.sign_in' | translate}}</h3>
                    </div>
                  </div>
                  <hr/>
                  <div class="form-group text-left text-dark">
                    <input type="email" class="form-control" id="Email" formControlName="Email" placeholder="{{'login_register.your_email' | translate}}" />
                    <span class="messages text-danger" *ngIf="!myForm.get('Email').valid && myForm.get('Email').touched">* Enter valid email</span>
                    <span class="md-line"></span>
                  </div>
                  <div class="form-group text-left text-dark">
                    <input type="password" class="form-control" id="Password" formControlName="Password" placeholder="{{'login_register.password' | translate}}" />
                    <span class="messages text-danger" *ngIf="!myForm.get('Password').valid && myForm.get('Password').touched">* Password can't be blank</span>
                    <span class="md-line"></span>
                  </div>
                  <!-- <div class="form-group text-left text-dark">
                    <label class="col-form-label">Course Code</label>
                    <input type="text" class="form-control" id="course" formControlName="course" placeholder="Course Code">
                  </div> -->
                  <div class="row m-t-20 text-left">
                    <div class="col-sm-8 col-xs-12">
                      <div class="checkbox-fade fade-in-primary">
                        <label>
                          <input type="checkbox" value="">
                          <span class="cr">
                            <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                          </span>
                          <span class="text-inverse">{{'login_register.keep_me' | translate}}</span>
                        </label>
                      </div>
                    </div>
                  </div>
                  <div class="row m-t-20">
                    <div class="col-md-12">
                      <button type="submit" [disabled]="!myForm.valid" class="btn btn-primary btn-md btn-block waves-effect text-center m-b-20">{{'login_register.btn_login' | translate}}</button>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <strong>
                      <a [routerLink]="['/forget-password-student']" class="text-right f-22 text-inverse">{{'login_register.forgot_account' | translate}}?</a>
                    </strong>
                  </div>
                </div>
              </form>
            </div>
          </div>

          <div class="col-md-6">
            <div class="login-card card-body auth-body" style="
            background-color: #ffffff; 
            border-radius: 8px;
            padding-bottom: 90px;
            margin: 65px 0 10px 0;">
              <div style="color: #383636;font-size: 28px;text-align: left;font-weight: inherit;">
                  {{'login_register.info_student1' | translate}}
                <br/>
                <br/>
              </div>
              <div style="color: #383636;font-size: 18px;text-align: left;font-weight: inherit;">
                <strong>{{'login_register.info_admin3' | translate}} &
                  <br/>{{'login_register.info_admin4' | translate}}</strong>
                <br/>
                <br/> {{'login_register.info_admin5' | translate}}
                <br/>{{'login_register.info_admin6' | translate}}
                <br/> {{'login_register.info_admin7' | translate}}.
                <br/>
              </div>

            </div>
          </div>
        </div>
        <div class="text-bottom" style="color: black; bottom: 20px; margin: 0 auto; width: 50%; font-weight: 600;">
          <a href="https://www.autodesk.com/company/legal-notices-trademarks/privacy-statement" target="_blank"> Privacy </a> |
          <a href="https://www.autodesk.com/company/legal-notices-trademarks" target="_blank"> Legal Notices & Trademark </a> | © Copyright 2018 Autodesk, Inc. All right reserved.
        </div>
      </div>
    </section>
  </div>
</div>